<?xml version="1.0" encoding="UTF-8"?>
<!-- umac_child_html.xsl, Sammlung aller templates, gültig für rzm und umac, einige Elemente gibt es nur in NEF -->
<!-- sh 8.3.2010 -->
<!-- sh 19.1.2012 Änderung bei Listen: Alle templates raus, die nochmal in module-lists enthalten sind. Bei xsl:template match="p" class=rtext entfernt. -->
<!-- sh 10.7.13 xsl:if test="string-length($content) > 25 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- ############## Struktur ################# -->
	<xsl:template match="body">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template name="tableofcontents">
		<div class="toc_nef">
			<p class="toc_nef">
				<a>
					<xsl:attribute name="href">#start</xsl:attribute>Begin</a>
			</p>
			<p/>
			<xsl:for-each select="//head | //lithead | //chead">
				<p class="toc_nef">
					<a>
						<xsl:attribute name="href">#link<xsl:value-of select="position()"/></xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="."/></xsl:attribute>
						<!--<xsl:value-of select="substring(.,1,25)"/>-->
						<xsl:call-template name="content-head"/>
					</a>
				</p>
			</xsl:for-each>
			<xsl:if test="//endnote">
				<p class="toc_nef">
					<a>
						<xsl:attribute name="href">#endnote<xsl:value-of select="$linknummer"/></xsl:attribute>
						<!--<xsl:attribute name="title"><xsl:value-of select="."/></xsl:attribute>-->
						Endnotes
					</a>
				</p>
			</xsl:if>
			<!-- contact ohne head in rzm -->
			<xsl:if test="not(//contact/head)">
				<p class="toc_nef">
					<a>
						<xsl:attribute name="href">#linkcontact</xsl:attribute>
						
						Contact
					</a>
				</p>
			</xsl:if>
			<br/>
			<p class="toc_nef">
				<a href="http://edoc.hu-berlin.de/umacj/">Startpage</a>
			</p>
		</div>
	</xsl:template>
	<xsl:template match="abstract">
		<xsl:choose>
			<xsl:when test="head">
				<h1 class="chaptertitle_nef">
					<xsl:apply-templates select="head"/>
				</h1>
			</xsl:when>
		</xsl:choose>
		<p class="rabstract">
			<xsl:apply-templates select="*[name() != 'head']"/>
		</p>
	</xsl:template>
	<xsl:template match="contact">
		<p>
			<xsl:choose>
				<xsl:when test="head">
					<xsl:apply-templates select="head"/>
				</xsl:when>
				<xsl:otherwise>
					<!-- root rzm, contact hat keinen head -->
					<a>
						<xsl:attribute name="name">linkcontact</xsl:attribute>
					</a>
				</xsl:otherwise>
			</xsl:choose>
			<b>Contact to the author:</b>
		</p>
		<xsl:for-each select="*[name() != 'head']">
			<p>
				<xsl:apply-templates/>
			</p>
		</xsl:for-each>
		<!--<br/>
			<xsl:apply-templates select="*[name() != 'head']"/>
		</p>-->
	</xsl:template>
	<xsl:template match="acknowledgement">
		<h1 class="chaptertitle_nef">
			<xsl:apply-templates select="head"/>
		</h1>
		<xsl:apply-templates select="*[name() != 'head']"/>
	</xsl:template>
	<xsl:template match="appendix">
		<h1 class="chaptertitle_nef">
			<xsl:apply-templates select="head"/>
		</h1>
		<xsl:apply-templates select="*[name() != 'head']"/>
	</xsl:template>
	<xsl:template match="bibliography">
		<h1 class="chaptertitle_nef">
			<!--<a>
				<xsl:attribute name="name">link<xsl:value-of select="$linknummer"/></xsl:attribute>
			</a>
			<xsl:value-of select="lithead"/>-->
			<xsl:apply-templates select="lithead"/>
			<!-- UMACJ -->
			<xsl:apply-templates select="head"/>
		</h1>
		<!-- NEF -->
		<xsl:for-each select="reference">
			<div class="item">
				<xsl:variable name="ref">
					<xsl:value-of select="refchar"/>
				</xsl:variable>
				<span id="refchar">
					<a class="anm" href="#lit{$ref}o" name="lit{$ref}">
						<xsl:value-of select="refchar"/>
					</a>
				</span>
				<span id="ref">
					<xsl:apply-templates select="ref"/>
				</span>
			</div>
		</xsl:for-each>
		<!-- UMACJ -->
		<xsl:for-each select="p/citation">
			<div class="rtext">
				<xsl:apply-templates/>
				<p/>
			</div>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="ref" mode="reference">
		<ref>
			<xsl:if test="citauthor">
				<author>
					<xsl:value-of select="citauthor"/>
				</author>
			</xsl:if>
			<xsl:if test="cittitle">
				<cittitle>
					<xsl:value-of select="cittitle"/>
				</cittitle>
			</xsl:if>
			<xsl:if test="artikel">
				<articletitle>
					<xsl:value-of select="artikel"/>
				</articletitle>
			</xsl:if>
			<xsl:if test="citurl">
				<citurl>
					<xsl:value-of select="citurl"/>
				</citurl>
			</xsl:if>
			<xsl:if test="number">
				<number>
					<xsl:value-of select="number"/>
				</number>
			</xsl:if>
		</ref>
	</xsl:template>
	<xsl:template match="chapter">
		<xsl:variable name="h" select="head"/>
		<xsl:choose>
			<xsl:when test="string-length($h) = 0 or $h = ' '"/>
			<xsl:otherwise>
				<h1 class="chaptertitle_nef">
					<xsl:apply-templates select="head"/>
				</h1>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:apply-templates select="*[name() != 'head']"/>
	</xsl:template>
	<xsl:template match="section">
		<h4 class="sectiontitle_nef">
			<xsl:apply-templates select="head"/>
		</h4>
		<p class="rabstract">
			<xsl:apply-templates select="*[name() != 'head']"/>
		</p>
	</xsl:template>
	<xsl:template match="subsection">
		<h5 class="subsectiontitle_nef">
			<xsl:apply-templates select="head"/>
		</h5>
		<p class="rabstract">
			<xsl:apply-templates select="*[name() != 'head']"/>
		</p>
	</xsl:template>
	<xsl:template match="vita">
		<div class="author_nef">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template name="content-head">
		<xsl:variable name="content">
			<xsl:apply-templates select="text()"/>
		</xsl:variable>
		<xsl:value-of select="substring($content,1,25)"/>
		<xsl:if test="string-length($content) > 25">
			<xsl:text> ...</xsl:text>
		</xsl:if>
	</xsl:template>
	<xsl:template match="blockquote">
		<div class="blockquote_nef">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="translator">
		<div class="translator_nef">
			<xsl:apply-templates select="p/* | p/text()"/>
			<br/>
		</div>
	</xsl:template>
	<xsl:template name="refdownload">
		<head>
			<title>UMAC Journal | Artikel | <xsl:value-of select="front/title"/> | edoc-Server  Humboldt-Universität zu Berlin</title>
			<!-- Kann man das durch anderen css ersetzen? -->
			<link rel="stylesheet" href="http://edoc.hu-berlin.de/cmsj/28/herbst-roland-31/HTML/cmsj.css" type="text/css"/>
		</head>
		<body>
			<div id="jbody">
				<div class="metadata">
					<xsl:attribute name="style">background-repeat: no-repeat;</xsl:attribute>
					<div class="journal">
						<xsl:value-of select="front/metadata/worktype"/>
					</div>
					<div class="number">Nr.&#160;<xsl:value-of select="substring(front/metadata/number,5)"/>
					</div>
					<div class="month-and-year">
						<xsl:value-of select="front/metadata/pubdate"/>
					</div>
				</div>
				<div class="service">
					<dl class="leftliste">
						<dt class="service">Hinweise</dt>
						<dt class="service">Copyright</dt>
						<dd>
Dieser Artikel ist ein Open Access Artikel und steht unter der Creative Commons Lizenz BY
<a href="http://creativecommons.org/licenses/by/2.0/" rel="copyright">(siehe...)</a>.
</dd>
					</dl>
				</div>
				<div class="chapter">
					<h1>Metadaten download für:</h1>
					<div class="title">
						<h1 class="articletitle">
							<xsl:apply-templates select="front/title"/>
						</h1>
						<xsl:if test="front/subtitle">
							<h2 class="articlesubtitle">
								<xsl:apply-templates select="front/subtitle"/>
								<br/>
							</h2>
						</xsl:if>
						<xsl:for-each select="//author">
							<div class="author">
								<xsl:apply-templates select="."/>
								<br/>
								<xsl:variable name="email">mailto:<xsl:value-of select="following::email"/>
								</xsl:variable>
								<a href="{$email}">
									<xsl:value-of select="following::email"/>
								</a>
							</div>
						</xsl:for-each>
					</div>
					<div class="chapter">
						<form action="ref{$infile}?service" method="get">
							<h1 class="form">Optionen</h1>
							<input type="radio" name="include" value="cit" checked="checked"/>Zitation für diesen Artikel<br/>
							<input type="radio" name="include" value="ref"/>Literaturverweise, die in diesem Artikel zitiert wurden<br/>
							<input type="radio" name="include" value="all"/>Beides, Zitation des Artikels und Literaturverweise<br/>
							<h1 class="form">Formate</h1>
							<input type="radio" name="format" value="endnote" checked="checked"/>für EndNote ab Version 3<br/>
							<input type="radio" name="format" value="refman"/>für Reference Manager ab Version 7<br/>
							<input type="radio" name="format" value="bibtex"/>für Bibtex<br/>
							<br/>
							<input type="submit" value="Download"/>
						</form>
					</div>
				</div>
			</div>
			<div class="back-nef"/>
		</body>
	</xsl:template>
	<!--  ########### Untergeordnete Elemente ################ -->
	<xsl:template name="citation">
		<citation>
			<xsl:choose>
				<xsl:when test="$include='cit'">
					<xsl:call-template name="cit"/>
				</xsl:when>
				<xsl:when test="$include='ref'">
					<xsl:call-template name="ref"/>
				</xsl:when>
			</xsl:choose>
		</citation>
	</xsl:template>
	<xsl:template name="cit">
		<ref>
			<xsl:for-each select="//author">
				<citauthor>
					<xsl:value-of select="."/>
				</citauthor>
			</xsl:for-each>
			<month-and-year>
				<xsl:value-of select="front/metadata/pubdate"/>
			</month-and-year>
			<worktype>
				<xsl:value-of select="front/metadata/worktype"/>
			</worktype>
			<number>Nr.&#160;<xsl:value-of select="substring(front/metadata/number,5)"/>
			</number>
			<articletitle>
				<xsl:apply-templates select="front/title"/>
			</articletitle>
			<xsl:if test="front/subtitle">
				<subtitle>
					<xsl:apply-templates select="front/subtitle"/>
				</subtitle>
			</xsl:if>
		</ref>
	</xsl:template>
	<xsl:template name="ref">
		<xsl:apply-templates select="back/bibliography/reference/ref" mode="reference"/>
	</xsl:template>
	<xsl:template name="all">
		<xsl:call-template name="cit"/>
		<xsl:call-template name="ref"/>
	</xsl:template>
	<xsl:template match="head | lithead | chead">
		<a>
			<xsl:attribute name="name">link<xsl:number count="head | lithead | chead" level="any"/></xsl:attribute>
		</a>
		<xsl:choose>
			<xsl:when test="parent::contact"/>
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="head1">
		<h1>
			<a>
				<xsl:attribute name="name">link<xsl:number level="multiple" count="chapter|section|subsection" format="1"/></xsl:attribute>
			</a>
			<br/>
			<xsl:apply-templates/>
		</h1>
	</xsl:template>
	<xsl:template match="head2">
		<h2 class="rhead2">
			<xsl:apply-templates/>
		</h2>
	</xsl:template>
	<xsl:template match="head3">
		<h3 class="rhead3">
			<xsl:apply-templates/>
		</h3>
	</xsl:template>
	<!-- ################ Absätze und Zeichen ############### -->
	<xsl:template match="//entry/p">
		<div class="tbtext">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="p">
		<xsl:choose>
			<xsl:when test="parent::footnote">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="parent::contact">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<!--<p class="rtext">-->
				<p>
					<xsl:apply-templates/>
				</p>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="pre">
		<tt>
			<xsl:apply-templates/>
		</tt>
	</xsl:template>
	<xsl:template match="blockquote/bp">
		<p class="rzitat">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match="example">
		<div class="example">
			<xsl:apply-templates select="ep|expre"/>
		</div>
		<p class="caption">
			<xsl:apply-templates select="exlegend"/>
		</p>
	</xsl:template>
	<xsl:template match="ep">
		<p class="rexp">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match="expre">
		<p class="rexpre">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match=" tblegend">
		<p class="caption">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template name="image2">
		<xsl:param name="f"/>
		<img>
			<xsl:attribute name="src"><xsl:value-of select="$f"/></xsl:attribute>
			<xsl:attribute name="alt">image</xsl:attribute>
		</img>
	</xsl:template>
	<xsl:template match="math">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="math">
		<xsl:apply-templates/>
	</xsl:template>
	<!-- Listen, verschachtelt -->
	<!--<xsl:template match="ol | ol2 | ol3">
	<xsl:text>### template ol ###</xsl:text>
		<div class="rlistol">
			<ol>
				<xsl:apply-templates select="*"/>
			</ol>
		</div>
	</xsl:template>
	<xsl:template match="oli1 | oli2 | oli3">
		<li>
			<xsl:apply-templates/>
		</li>
	</xsl:template>
	<xsl:template match="ul | ul2 | ul3">
		<div class="ul">
			<ul class="rlistul">
				<xsl:apply-templates select="*"/>
			</ul>
		</div>
	</xsl:template>
	<xsl:template match="ul">
		<ul class="ul_nef">
			<xsl:apply-templates select="*"/>
		</ul>
	</xsl:template>
	<xsl:template match="li">
	<xsl:text>### template li ###</xsl:text>
		<li>
			<xsl:apply-templates select="p/*"/>
		</li>
	</xsl:template>
	<xsl:template match="uli1 | uli2 | uli3">
		<li>
			<xsl:apply-templates/>
		</li>
	</xsl:template>
	<xsl:template match="*[name()='oli1' or name()='oli2' or name()='oli3']/text()[position()=1]">
		<xsl:value-of select="."/>
	</xsl:template>
	<xsl:template match="*[name()='uli1' or name()='uli2' or name()='uli3']/text()[position()=1]">
		<xsl:value-of select="."/>
	</xsl:template>-->
	<!-- Zeichenformatierungen -->
	<xsl:template match="br">
		<br/>
	</xsl:template>
	<xsl:template match="em">
		<i>
			<xsl:apply-templates/>
		</i>
	</xsl:template>
	<xsl:template match="strong">
		<b>
			<xsl:apply-templates/>
		</b>
	</xsl:template>
	<xsl:template match="emstr">
		<i>
			<b>
				<xsl:apply-templates/>
			</b>
		</i>
	</xsl:template>
	<xsl:template match="sub">
		<sub>
			<xsl:apply-templates/>
		</sub>
	</xsl:template>
	<xsl:template match="sup">
		<sup>
			<xsl:apply-templates/>
		</sup>
	</xsl:template>
	<xsl:template match="tt">
		<tt>
			<xsl:apply-templates/>
		</tt>
	</xsl:template>
	<xsl:template match="endchar">
		<xsl:variable name="endchar">
			<xsl:value-of select="."/>
		</xsl:variable>
		<a href="#anm{$endchar}" name="anm{$endchar}o">
			<sup>
				<xsl:apply-templates/>
			</sup>
		</a>
	</xsl:template>
	<xsl:template match="refchar">
		<xsl:variable name="refchar">
			<xsl:value-of select="."/>
		</xsl:variable>
		<a href="#lit{$refchar}" name="lit{$refchar}o">
			<xsl:apply-templates/>
		</a>
	</xsl:template>
	<xsl:template match="no">
		<span class="refchar">
			<xsl:apply-templates/>
		</span>
	</xsl:template>
	<xsl:template match="url">
		<xsl:variable name="url">
			<xsl:apply-templates/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="starts-with($url, 'http')">
				<a target="_blank" href="{$url}">
					<xsl:apply-templates/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<a target="_blank" href="http://{$url}">
					<xsl:apply-templates/>
				</a>
			</xsl:otherwise>
		</xsl:choose>
		<!--<a target="_blank" href="{$url}">
			<xsl:apply-templates/>
		</a>-->
	</xsl:template>
	<!-- Bibliographie -->
	<xsl:template match="ref">
		<span class="rbib">
			<xsl:apply-templates/>
		</span>
	</xsl:template>
	<xsl:template match="citauthor">
		<span class="rbibaut">
			<xsl:value-of select="."/>
		</span>
	</xsl:template>
	<xsl:template match="cittitle">
		<span class="rbibtit">
			<xsl:value-of select="."/>
		</span>
	</xsl:template>
	<xsl:template match="citurl">
		<xsl:variable name="citurl">
			<xsl:value-of select="."/>
		</xsl:variable>
		<a target="_blank" href="{$citurl}">
			<xsl:value-of select="."/>
		</a>
	</xsl:template>
	<xsl:template match="endnote">
		<h1 class="chaptertitle_nef">
			<a>
				<xsl:attribute name="name">endnote<xsl:value-of select="$linknummer"/></xsl:attribute>
			</a>	
			Endnotes
			</h1>
		<xsl:for-each select="endchar">
			<div class="item">
				<xsl:variable name="end" select="."/>
				<span id="refchar">
					<a class="anm" href="#anm{$end}o" name="anm{$end}">
						<xsl:value-of select="."/>
					</a>
				</span>
				<span id="ref">
					<xsl:apply-templates select="following::fp[position()=1]"/>
				</span>
			</div>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="note/np">
		<p class="rnote">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match="title">
		<em>
			<xsl:apply-templates/>
		</em>
	</xsl:template>
	<xsl:template match="freehead">
		<h2>
			<xsl:apply-templates/>
		</h2>
	</xsl:template>
	<xsl:template match="footnote">
		<xsl:variable name="name" select="concat('a',@start)"/>
		<xsl:variable name="name_link" select="concat($name,'link')"/>
		<xsl:variable name="href" select="concat('#',$name)"/>
		<a>
			<xsl:attribute name="name"><xsl:value-of select="$name_link"/></xsl:attribute>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="$href"/></xsl:attribute>
				<sup>
					<xsl:apply-templates select="@start"/>
				</sup>
			</a>
		</a>
	</xsl:template>
	<xsl:template match="footnote" mode="endbody">
		<xsl:variable name="name" select="concat('a',@start)"/>
		<xsl:variable name="href" select="concat('#',$name,'link')"/>
		<a>
			<xsl:attribute name="name">footnote</xsl:attribute>
		</a>
		<p>
			<a>
				<xsl:attribute name="name"><xsl:value-of select="$name"/></xsl:attribute>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="$href"/></xsl:attribute>
					<xsl:apply-templates select="@start"/>
				</a>
			</a>
			<xsl:apply-templates select="p/* | p/text()"/>
		</p>
	</xsl:template>
	<xsl:template match="citation" mode="nef">
		<h1 class="articletitle-rev">
			<xsl:apply-templates/>
		</h1>
	</xsl:template>
	<xsl:template match="* | text()" mode="inline">
		<xsl:choose>
			<xsl:when test="citation">
				<xsl:apply-templates select="citation/p/* | citation/p/text()"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="author">
		<div class="author_nef">
			<xsl:apply-templates select="given"/>
			<xsl:value-of select="' ' "/>
			<xsl:apply-templates select="surname"/>
			<xsl:apply-templates select="text()"/>
		</div>
	</xsl:template>
	<xsl:template match="table">
		<xsl:choose>
			<xsl:when test="caption">
				<div class="caption_nef">
					<xsl:apply-templates select="caption"/>
				</div>
			</xsl:when>
		</xsl:choose>
		<xsl:apply-templates select="tgroup"/>
		<xsl:apply-templates select="legend"/>
	</xsl:template>
	<xsl:template match="worktitle">
		<em>
			<xsl:apply-templates/>
		</em>
	</xsl:template>
</xsl:stylesheet>
